package ru.ldeloff.servermonitorbot.model;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Getter
@Component
public class TelegramBot{
    private final String botUsername;
    private final String botToken;

    public TelegramBot(@Value("${bot.name}") String botUsername, @Value("${bot.token}") String botToken) {
        this.botUsername = botUsername;
        this.botToken = botToken;
    }
}
