package ru.ldeloff.servermonitorbot.service.ssh;


import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import org.telegram.telegrambots.meta.api.objects.Update;
import ru.ldeloff.servermonitorbot.model.Command;
import ru.ldeloff.servermonitorbot.model.SshServer;

import java.util.List;

public interface SshService {
    SendMessage getStatusSessions(Update update);
    List<SshServer> getSshServers();
    Command execute(Command command);
    List<Command> execute(List<Command> commands);
}
