--liquibase formatted sql

--changeset L_DelOff:create_table_roles rollbackSplitStatements:true
--comment: Создание таблицы ролей
CREATE TABLE roles
(
    id       SERIAL        PRIMARY KEY,
    role    VARCHAR(128)
);

COMMENT ON TABLE roles IS 'Пользователи';
COMMENT ON COLUMN roles.id IS 'Идентификатор пользователя';
COMMENT ON COLUMN roles.role IS 'Логин пользователя';

--rollback DROP TABLE roles;